import { P2P } from '@shardeum-foundation/lib-types';
interface ToAcceptResult {
    add: number;
    remove: number;
}
export declare function calculateToAcceptV2(prevRecord: P2P.CycleCreatorTypes.CycleRecord): ToAcceptResult;
/** Returns the number of expired nodes and the list of removed nodes using calculateToAcceptV2 */
export declare function getExpiredRemovedV2(prevRecord: P2P.CycleCreatorTypes.CycleRecord, lastLoggedCycle: number, txs: P2P.RotationTypes.Txs & P2P.ApoptosisTypes.Txs, info: (...msg: string[]) => void): {
    expired: number;
    removed: string[];
};
/** Returns the number of expired nodes and the list of removed nodes using calculateToAcceptV2
 *  this list includes problematic nodes + expired nodes.
*/
export declare function getExpiredRemovedV3(prevRecord: P2P.CycleCreatorTypes.CycleRecord, lastLoggedCycle: number, txs: P2P.RotationTypes.Txs & P2P.ApoptosisTypes.Txs, info: (...msg: string[]) => void): {
    problematic: number;
    expired: number;
    removed: string[];
};
export {};
